export const validation = (buttons: Array<object>) => {
  try {
    buttons.forEach(button => {
      if (button.sub_button.length <= 0 && !button.name) {
        throw new Error('菜单名称不能为空');
      }
      if (button.sub_button.length <= 0 && !button.url) {
        throw new Error('链接不能为空');
      }
      if (
        button.sub_button.length <= 0 &&
        button.type == 'click' &&
        !button.content
      ) {
        throw new Error('文本内容不能为空');
      }
      if (button.sub_button && button.sub_button.length > 0) {
        button.sub_button.forEach(subButton => {
          if (!subButton.name) {
            throw new Error('子菜单名称不能为空');
          }
          if (!subButton.url) {
            throw new Error('子菜单链接不能为空');
          }
          if (subButton.type == 'click' && !subButton.content) {
            throw new Error('子菜单文本内容不能为空');
          }
        });
      }
    });
    return true; // 如果没有抛出异常，表示验证通过
  } catch (error) {
    ElMessage.error(error.message);
    console.error(error.message);
    return false;
  }
};
